##### 7.7.8.0. lp2lstr

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  lp2lstr(K,s); K an ideal, s a ring name

Return:
  nothing (exports object @LN into the ring named s)

Assume:
  basering has a letterplace ring structure

Purpose:
  converts letterplace ideal to list of modules

Note:
  useful as preprocessing to 'lst2str'

Example:

    LIB "freegb.lib";
    intmat A[2][2] = 2, -1, -1, 2; // sl_3 == A_2
    ring r = 0,(f1,f2),dp;
    def R = makeLetterplaceRing(3);
    setring R;
    ideal I = serreRelations(A,1);
    lp2lstr(I,r);
    setring r;
    lst2str(@LN,1);
    ==> [1]:
    ==>    f1*f2*f2-2*f2*f1*f2+f2*f2*f1
    ==> [2]:
    ==>    f1*f1*f2-2*f1*f2*f1+f2*f1*f1

User manual for Singular version 4-0-3, 2016, generated by texi2html.